#!/bin/tcsh -f

#set pydir = "/data/seis01/taira/Anaconda_x86_linux_py3_rev/envs/netops_new4"
#set pydir = "/home/bsl/taira/hydro/miniconda3/envs/netops"

set pydir = "/data/seis01/taira/miniconda3/envs/netops"


setenv PYTHONPATH $pydir
alias python $pydir'/bin/python'
which python


#python CRE_coh.py -t BK.BKS.00.HHZ >&! cc.log

#[suture:/work/suture/taira/CHN1/work_xc_py 155] ls -d *all | awk 'BEGIN{FS=".";}{nslc=$2"."$3"."$4"."$5; printf("%s ",nslc)}'
#CX.HMBCX..BHZ CX.MNMCX..BHZ CX.PATCX..BHZ CX.PB01..BHZ CX.PB02..BHZ CX.PB03..BHZ CX.PB04..BHZ CX.PB05..BHZ CX.PB06..BHZ CX.PB07..BHZ CX.PB08..BHZ CX.PB09..BHZ CX.PB10..BHZ CX.PB11..BHZ CX.PB12..BHZ CX.PB14..BHZ CX.PB15..BHZ CX.PB16..BHZ CX.PSGCX..BHZ 

foreach trace_id (CX.HMBCX..BHZ CX.MNMCX..BHZ CX.PATCX..BHZ CX.PB01..BHZ CX.PB02..BHZ CX.PB03..BHZ CX.PB04..BHZ CX.PB05..BHZ CX.PB06..BHZ CX.PB07..BHZ CX.PB08..BHZ CX.PB09..BHZ CX.PB10..BHZ CX.PB11..BHZ CX.PB12..BHZ CX.PB14..BHZ CX.PB15..BHZ CX.PB16..BHZ CX.PSGCX..BHZ )
echo "# trace_id = "$trace_id

set log_fi = "log."$trace_id
set output_csv = "cc."$trace_id".csv"

echo "# log_fi = "$log_fi
echo "# output_csv = "$output_csv

python CRE_coh.py -t $trace_id --debug >&! $log_fi
mv -f test_catalog.csv $output_csv

end # trace_id 

